Bio::Tools::Seg(3)

NAME
Bio::Tools::Seg - parse Seg output (filter low complexity protein sequence)

SYNOPSIS
  use Bio::Tools::Seg;
  my $parser = new Bio::Tools::Seg(-fh =>$filehandle );
  while( my $seg_feat = $parser->next_result ) {
        #do something
        #eg
        push @seg_feat, $seg_feat;
  }

DESCRIPTION
Parser for Seg output

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

 bioperl-bugs@bioperl.org
 http://bugzilla.bioperl.org/

AUTHOR - Bala
Email savikalpa@fugu-sg.org

CONTRIBUTORS
Additional contributors names and emails here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Tools::Seg();
 Function: Builds a new Bio::Tools::Seg object
 Returns : Bio::Tools::Seg
 Args    : -fh/-file => $val, # for initing input, see Bio::Root::IO

  next_result
 Title   : next_result
 Usage   : my $feat = $seg->next_result
 Function: Get the next result set from parser data
 Returns : Bio::SeqFeature::Generic
 Args    : none

  create_feature
 Title   : create_feature
 Usage   : obj->create_feature(\%feature)
 Function: Internal(not to be used directly)
 Returns :
 Args    :